Name:           go2rpm
Version:        1
Release:        2%{?dist}
Summary:        Convert Go packages to RPM

License:        MIT
URL:            https://pagure.io/GoSIG/go2rpm
Source0:        https://pagure.io/GoSIG/go2rpm/archive/v%{version}/go2rpm-v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       askalono-cli
Requires:       go-rpm-macros
%{?python_enable_dependency_generator}

%description
Convert Go packages to RPM.

%prep
%autosetup -n go2rpm-v%{version} -p1

%build
%py3_build

%install
%py3_install

%files
%license LICENSE
%{_bindir}/go2rpm
%{python3_sitelib}/go2rpm-*.egg-info/
%{python3_sitelib}/go2rpm/

%changelog
* Sat Jul 20 22:04:32 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1-2
- Add go-rpm-macros require

* Thu Jul 11 18:00:45 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1-1
- Initial package
